Subject: Re: bug#10160: 24.0.91; diff-hunk-file-names returns quoted file names

From: Stefan Monnier <[email-masked]>
Date: Tue, 29 Nov 2011 13:50:00 -0500

> diff-hunk-file-names reads file names from the *Diff* buffer. The first
> line (the diff command itself) can contain labels, marked with -L. If
> these labels contains quoted characters like in remote file names, the
> quotation is returned. Example:

> diff -c -L /ftp\:slbhao\:/home/albinus/src/tramp/lisp/tramp.el -L /ftp\:slbhao\:/home/albinus/src/emacs/lisp/net/tramp.el /tmp/ange-ftp13518wvE.el /tmp/ange-ftp1351895K.el

> Such quoted file names result in problems when used as parameter for
> file name functions, like in diff-find-file-name.

Not sure what to do about them: this "parsing the diff command line" is
brittle in any case because this line is printed by various tools, and
I don't think they're very consistent in how they handle quoting.
We should probably try to minimize the problem first, by using relative
file names when possible.

        Stefan